<?php
/**
 * Regular News Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Regular News Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function regular_news_pro_custom_colors_css() {
  	$options= regular_news_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.backtotop,
	#trending-news .news-title,
	.item-wrapper article:nth-child(1n) .post-categories li:last-child a:hover,
	.item-wrapper article:nth-child(4n) .post-categories li:first-child a:hover,
	.item-wrapper article.large-width .post-categories li:first-child a:hover, 
	.archive-blog-wrapper article .post-categories li:last-child a:hover,
	.item-wrapper article:nth-child(3n) .post-categories li:first-child a:hover,
	.item-wrapper article:nth-child(1n) .post-categories li:first-child a:hover,
	.archive-blog-wrapper article .post-categories li:first-child a:hover,
	#must-read article .post-categories li:last-child a:hover,
	#must-read article .post-categories li:first-child a:hover,
	.widget-title, 
	.widgettitle,
	#respond input[type="submit"],
	.btn,
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	input[type="submit"],
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.reply a,
	#featured-slider .post-categories a,
	#ajax-filter li.active a,
	#ajax-filter li a:hover,
	.more-link svg,
	.recent-posts-tabs li.active .recent-post-wrapper .nav-number,
	.recent-posts-tabs li:hover .recent-post-wrapper .nav-number,
	.recent-posts-wrapper .post-categories a,
	.recent-reviews-nav li.active,
	#breaking-news .news-title,
	.post-categories a:hover,
	.post-categories a:focus,
	#popular-posts .popular-post-wrapper:hover .cat-links a:hover,
	#popular-posts .popular-post-wrapper:hover .cat-links a:focus,
	.recent-post-slider .cat-links a,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.second-design #page #content .post-categories a,
	.second-design #page #content .post-categories a,
	.third-design #page #content .post-categories a,
	.third-design #page #content .post-categories a,
	form.search-form button.search-submit {
	    background-color: ' . esc_attr( $color_value ) . ';
	}


	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	a,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation ul.nav-menu li:hover > a,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.item-wrapper article:nth-child(1n) .post-categories li:last-child a,
	.item-wrapper article:nth-child(4n) .post-categories li:first-child a,
	.item-wrapper article.large-width .post-categories li:first-child a,
	.item-wrapper article:nth-child(3n) .post-categories li:first-child a,
	.item-wrapper article:nth-child(1n) .post-categories li:first-child a, 
	.archive-blog-wrapper article .post-categories li:last-child a,
	#must-read article .post-categories li:last-child a,
	.tabs li.active, 
	.tabs li:hover,
	#recent-posts .inner-wrapper .entry-header span a,
	.single .entry-meta span a,
	.inner-wrapper article:nth-child(1n):not(:first-child) .entry-container .entry-meta span a, 
	.inner-wrapper article:nth-child(1n) .entry-title a:hover,
	 .inner-wrapper .hentry:nth-child(2n) article:not(:first-child) .entry-container .entry-meta span a,
	 .inner-wrapper .hentry:nth-child(2n) article .entry-container .entry-title a:hover,
	 .inner-wrapper .hentry:nth-child(3n) article:not(:first-child) .entry-container .entry-meta span a,
	 .inner-wrapper .hentry:nth-child(3n) article .entry-container .entry-title a:hover,
	 .archive-blog-wrapper article .post-categories li:first-child a,
	 #must-read article .post-categories li:first-child a,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	#secondary a:hover,
	#secondary a:focus,
	.byline a:hover,
	.byline a:focus,
	.posted-on a:hover,
	.posted-on a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	.btn,
	.breaking-news-posts a:hover,
	.breaking-news-posts a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.more-link:hover,
	.more-link:focus,
	.recent-posts-tabs li.active .recent-post-wrapper .entry-title a,
	.recent-posts-tabs li:hover .recent-post-wrapper .entry-title a,
	.post-categories a {
	    color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.widget svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg {
	    fill: ' . esc_attr( $color_value ) . ';
	}

	.single .entry-meta span a:hover,
	.second-design #page #content #cta .post-categories a,
	.third-design #page #content #cta .post-categories a,
	.second-design #page #content #featured-videos .post-categories a,
	.third-design #page #content #featured-videos .post-categories a {
	    color: #fff;
	}

	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.item-wrapper article:nth-child(1n) .post-categories li:last-child a,
	.item-wrapper article:nth-child(4n) .post-categories li:first-child a,
	.post-categories a,
	.item-wrapper article.large-width .post-categories li:first-child a, 
	.archive-blog-wrapper article .post-categories li:last-child a,
	.item-wrapper article:nth-child(3n) .post-categories li:first-child a,
	.item-wrapper article:nth-child(1n) .post-categories li:first-child a,
	.recent-wrapper article .post-categories li:last-child a,
	.archive-blog-wrapper article .post-categories li:first-child a,
	#must-read article .post-categories li:last-child a,
	#must-read article .post-categories li:first-child a,
	.second-design #page #content .post-categories a,
	.second-design #page #content .post-categories a,
	.third-design #page #content .post-categories a,
	.third-design #page #content .post-categories a {
	    border-color: ' . esc_attr( $color_value ) . ';
	}

	#ajax-filter li.active a:after {
	    border-top-color: ' . esc_attr( $color_value ) . ';
	}

	.recent-reviews-nav li {
	    border-bottom-color: ' . esc_attr( $color_value ) . ';
	}
	/*--------------------------------------------------------------
	## SVG Icon Filter
	--------------------------------------------------------------*/
	.posted-on a:before, 
	.byline a:before {
	    -webkit-filter: grayscale(100%) brightness(30%) sepia(100%) hue-rotate(-180deg) saturate(700%) contrast(0.8);
	    filter: grayscale(100%) brightness(30%) sepia(100%) hue-rotate(-180deg) saturate(700%) contrast(0.8);
	}
	/*--------------------------------------------------------------
	## Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
	    #masthead .main-navigation ul.nav-menu li.current-menu-item > a,
	    #masthead .main-navigation ul.nav-menu > li > a:hover,
	    .main-navigation ul.nav-menu li:hover > a {
	        color: ' . esc_attr( $color_value ) . ';
	    }
	    .main-navigation ul.nav-menu > li:hover > a > svg,
	    .main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	    .second-design #masthead .main-navigation ul.nav-menu > li:hover > a > svg, 
	    .second-design #masthead .main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	    .third-design #masthead .main-navigation ul.nav-menu > li:hover > a > svg, 
	    .third-design #masthead .main-navigation ul.nav-menu > li.current-menu-item > a > svg {
	        fill: ' . esc_attr( $color_value ) . ';
	    }
	    .main-navigation ul.sub-menu li:hover > a,
	    .main-navigation ul.sub-menu li:focus > a {
	        background-color: ' . esc_attr( $color_value ) . ';
	        color: #fff;
	    }
	    .second-design #masthead .main-navigation ul.nav-menu > li.current-menu-item:before,
	    .third-design #masthead .main-navigation ul.nav-menu > li.current-menu-item:before {
	        background-color: ' . esc_attr( $color_value ) . ';
	    }
	    #search:before {
	        border-bottom-color: ' . esc_attr( $color_value ) . ';
	    }
	}
	/*--------------------------------------------------------------
	## Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: #f44040;}
	    25% {height:30px;transform:translateY(15px);background: #f44040;}
	    50% {height:5px;transform:translateY(0px);background: #f44040;}
	    100% {height:5px;transform:translateY(0px);background: #f44040;}
}


	';

	/**
	 * Filters Regular News Pro custom colors CSS.
	 *
	 * @since Regular News Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'regular_news_pro_custom_colors_css', $css );
}
