<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Regular News Pro
 * @since Regular News Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'regular_news_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','regular-news-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'regular-news-pro' ),
	'panel'             => 'regular_news_pro_front_page_panel',
) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'regular_news_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'regular_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Regular_News_Pro_Switch_Control( $wp_customize, 'regular_news_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'regular-news-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'regular-news-pro' ), esc_html__( 'Click Here', 'regular-news-pro' ), esc_html__( 'to create menu', 'regular-news-pro' ) ),
	'section'           => 'regular_news_pro_topbar_section',
	'on_off_label' 		=> regular_news_pro_switch_options(),
) ) );

// header_background image setting and control.
$wp_customize->add_setting( 'regular_news_pro_theme_options[header_background_image]', array(
	'sanitize_callback' => 'regular_news_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'regular_news_pro_theme_options[header_background_image]',
		array(
		'label'       		=> esc_html__( 'Header Background Image', 'regular-news-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'regular-news-pro' ), 1920, 172 ),
		'section'     		=> 'regular_news_pro_topbar_section',
) ) );

// ads image setting and control.
$wp_customize->add_setting( 'regular_news_pro_theme_options[ads_image]', array(
	'sanitize_callback' => 'regular_news_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'regular_news_pro_theme_options[ads_image]',
		array(
		'label'       		=> esc_html__( 'Ads Image', 'regular-news-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'regular-news-pro' ), 900, 100 ),
		'section'     		=> 'regular_news_pro_topbar_section',
) ) );

// ads link setting and control
$wp_customize->add_setting( 'regular_news_pro_theme_options[ads_url]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'regular_news_pro_theme_options[ads_url]', array(
	'label'           	=> esc_html__( 'Ads Url', 'regular-news-pro' ),
	'section'        	=> 'regular_news_pro_topbar_section',
	'type'				=> 'url',
) );