<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Regular News Pro
* @since Regular News Pro 1.0.0
*/

if ( ! function_exists( 'regular_news_pro_validate_long_excerpt' ) ) :
  function regular_news_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'regular-news-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_headline_count' ) ) :
  function regular_news_pro_validate_headline_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_popular_count' ) ) :
  function regular_news_pro_validate_popular_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_featured_count' ) ) :
  function regular_news_pro_validate_featured_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_featured_video_count' ) ) :
  function regular_news_pro_validate_featured_video_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_must_read_count' ) ) :
  function regular_news_pro_validate_must_read_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'regular_news_pro_validate_blog_count' ) ) :
  function regular_news_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'regular-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'regular-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'regular-news-pro' ) );
     }
     return $validity;
  }
endif;
