<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage Regular News Pro
//  * @since Regular News Pro 1.0.0
//  */


function regular_news_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'regular-news-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'regular_news_pro_ctdi_plugin_page_setup' );


function regular_news_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Sport Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Sport/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Sport/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Sport/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Sport/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-sport',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Classic Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Classic/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Classic/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Classic/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Classic/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-classic',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Fashion Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Fashion/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Fashion/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Fashion/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Fashion/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-fashion',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Dark Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Dark/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Dark/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Dark/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Dark/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Nature Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Nature/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Nature/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Nature/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Nature/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-nature',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Light Demo', 'regular-news-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Light/regular-news-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Light/regular-news-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Light/regular-news-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Light/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'regular-news-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/regular-news-pro-light',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'regular_news_pro_ctdi_import_files' );



function regular_news_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $secondary = get_term_by('name', 'Secondary', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $secondary->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'regular_news_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );